# SpeciesFormChangeMoveTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeMoveTrigger`Abstract`

#### Hierarchy (View Summary)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeMoveTrigger
    - SpeciesFormChangePreMoveTrigger
    - SpeciesFormChangePostMoveTrigger

- Defined in src/data/pokemon-forms.ts:370

##### Index

### Constructors

constructor

### Properties

description
movePredicate
used

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeMoveTrigger(
  move: Moves | ((m: Moves ) => boolean),
  used?: boolean,
  ): SpeciesFormChangeMoveTrigger

  #### Parameters

  - move: Moves | ((m: Moves ) => boolean)
  - used: boolean = true

  #### Returns SpeciesFormChangeMoveTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:374

## Properties

### description

description: string = ""

Inherited from SpeciesFormChangeTrigger.description

- Defined in src/data/pokemon-forms.ts:222

### movePredicate

movePredicate: (m: Moves ) => boolean

- Defined in src/data/pokemon-forms.ts:371

### used

used: boolean

- Defined in src/data/pokemon-forms.ts:372

## Methods

### canChange

- canChange(_pokemon: default ): boolean

  #### Parameters

  - _pokemon: default

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:224

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:228